VERSION 4.00
Begin VB.Form TextWindow 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "TextWindow"
   ClientHeight    =   5775
   ClientLeft      =   1245
   ClientTop       =   1755
   ClientWidth     =   8400
   Height          =   6180
   Left            =   1185
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   0
   ScaleWidth      =   0
   ShowInTaskbar   =   0   'False
   Top             =   1410
   Width           =   8520
   Begin VB.TextBox TextRegion 
      Height          =   5775
      Left            =   0
      MultiLine       =   -1  'True
      ScrollBars      =   2  'Vertical
      TabIndex        =   0
      Top             =   0
      Width           =   8415
   End
End
Attribute VB_Name = "TextWindow"
Attribute VB_Creatable = False
Attribute VB_Exposed = False

' Open the help window, and display the text from the
' 'filePathName' text file in the dialog.  'caption' is
' is shown at the top of the window.  If editible is
' true, then the text is editable in the window.
Public Sub OpenTextWindow(ByRef filePathName As String, _
    ByRef caption As String, _
    ByVal editable As Integer)
    
    Dim LinesFromFile, NextLine As String
    Dim fileNum As Integer
    
    'ChDir (AppPath)
    NextLine = CurDir
    
    ' open the text file
    fileNum = FreeFile(0)
    Open filePathName For Input As #fileNum
    
    ' load the text file text into 'LinesFromFile'
    Do Until EOF(fileNum)
        Line Input #fileNum, NextLine
        LinesFromFile = LinesFromFile + NextLine + Chr(13) + Chr(10)
    Loop
    
    Close #fileNum
    
    ' copy the text into the window TextBox
    TextWindow.TextRegion.Text = LinesFromFile
    
    ' specify if the text is editable or not
    TextWindow.TextRegion.Locked = Not (editible)
   
    ' update the window's caption
    TextWindow.caption = caption
    
    ' Show the window, as a modal dialog (one
    ' does not leave this routine until the
    ' dialog is closed.
    TextWindow.Show 1
    
End Sub





