VERSION 5.00
Begin VB.Form instruNet_Setup_Dialog 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "instruNet Setup Options"
   ClientHeight    =   3930
   ClientLeft      =   3600
   ClientTop       =   3090
   ClientWidth     =   3780
   ClipControls    =   0   'False
   ControlBox      =   0   'False
   ForeColor       =   &H80000008&
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   3930
   ScaleWidth      =   3780
   Begin VB.CommandButton TriggerSetup_Button 
      Caption         =   "Trigger Setup"
      Height          =   375
      Left            =   360
      TabIndex        =   12
      Top             =   2760
      Width           =   3015
   End
   Begin VB.ComboBox ProcessSegOrScan 
      Height          =   315
      ItemData        =   "INET_SetupDialog.frx":0000
      Left            =   1920
      List            =   "INET_SetupDialog.frx":000A
      Style           =   2  'Dropdown List
      TabIndex        =   6
      Top             =   2160
      Width           =   1455
   End
   Begin VB.ComboBox ContScans_Popup 
      Height          =   315
      ItemData        =   "INET_SetupDialog.frx":002F
      Left            =   1920
      List            =   "INET_SetupDialog.frx":0039
      Style           =   2  'Dropdown List
      TabIndex        =   5
      Top             =   1680
      Width           =   1455
   End
   Begin VB.TextBox NumOfScans_Field 
      Appearance      =   0  'Flat
      Height          =   285
      Left            =   1920
      TabIndex        =   4
      Text            =   "numOfScans"
      Top             =   1200
      Width           =   1455
   End
   Begin VB.TextBox ptsPerScan_field 
      Appearance      =   0  'Flat
      Height          =   285
      Left            =   1920
      TabIndex        =   3
      Text            =   "ptsPerScan"
      Top             =   720
      Width           =   1455
   End
   Begin VB.TextBox SampleRate_field 
      Appearance      =   0  'Flat
      Height          =   285
      Left            =   1920
      TabIndex        =   2
      Text            =   "SampleRate"
      Top             =   240
      Width           =   1455
   End
   Begin VB.CommandButton Cancel_button 
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      Caption         =   "Cancel"
      Height          =   375
      Left            =   360
      TabIndex        =   1
      Top             =   3360
      Width           =   1335
   End
   Begin VB.CommandButton OK_button 
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      Caption         =   "OK"
      Height          =   375
      Left            =   2040
      TabIndex        =   0
      Top             =   3360
      Width           =   1335
   End
   Begin VB.Label PointsPerScan_Label 
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      BackStyle       =   0  'Transparent
      Caption         =   "Points Per Scan:"
      ForeColor       =   &H80000008&
      Height          =   255
      Left            =   360
      TabIndex        =   11
      Top             =   720
      Width           =   1215
   End
   Begin VB.Label SampleRate_Label 
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      BackStyle       =   0  'Transparent
      Caption         =   "Sample Rate:"
      ForeColor       =   &H80000008&
      Height          =   255
      Left            =   360
      TabIndex        =   10
      Top             =   240
      Width           =   1095
   End
   Begin VB.Label Processing_Label 
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      BackStyle       =   0  'Transparent
      Caption         =   "Processing:"
      ForeColor       =   &H80000008&
      Height          =   255
      Left            =   360
      TabIndex        =   9
      Top             =   2160
      Width           =   1935
   End
   Begin VB.Label ContScans_Label 
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      BackStyle       =   0  'Transparent
      Caption         =   "Continuous Scans:"
      ForeColor       =   &H80000008&
      Height          =   255
      Left            =   360
      TabIndex        =   8
      Top             =   1680
      Width           =   1455
   End
   Begin VB.Label NumOfScans_Label 
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      BackStyle       =   0  'Transparent
      Caption         =   "Num of Scans:"
      ForeColor       =   &H80000008&
      Height          =   255
      Left            =   360
      TabIndex        =   7
      Top             =   1200
      Width           =   1215
   End
End
Attribute VB_Name = "instruNet_Setup_Dialog"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False



Private Sub Cancel_button_Click()

    Unload instruNet_Setup_Dialog

End Sub





Private Sub ChannelSetup_Button_Click()

    ' Open the instruNet World network page.
    METHOD_Channels_Button_Click
    
End Sub

Private Sub Form_Load()

    ' load the fields with their current values
    ptsPerScan_field.Text = Str(gPtsPerScan_nextDigi)
    sampleRate_field.Text = Str(gSampleRate_nextDigi)
    NumOfScans_Field.Text = Str(gNumScans)
    ContScans_Popup.ListIndex = IIf(gContinuousScans <> False, 0, 1)
    ProcessSegOrScan.ListIndex = IIf(gProcessSegmentsInsteadOfScans <> False, 1, 0)

End Sub



Private Sub OK_button_Click()

    ' read in the edit fields
    gPtsPerScan_nextDigi = Val(ptsPerScan_field.Text)
    gPtsPerScan_currentData = gPtsPerScan_nextDigi
        
    gNumScans = Val(NumOfScans_Field.Text)
    
    gContinuousScans = IIf(ContScans_Popup.ListIndex = 0, True, False)
    
    gProcessSegmentsInsteadOfScans = IIf(ProcessSegOrScan.ListIndex = 0, False, True)
    
    ' Measures the actual sample rate, sets the data array sizes to
    ' gPtsPerScan_nextDigi, and updates the dataArrayY ptsPerXunits field.
    gSampleRate_nextDigi = Val(sampleRate_field.Text)
    gSampleRate_currentData = gSampleRate_nextDigi
    gSampleRate_nextDigi = DigitizeProcess_MeasureActualSampleRate()
    gSampleRate_currentData = gSampleRate_nextDigi

    ' Update the data 'numValidPts' and 'ptsPerXunit' field, and the
    ' data.  The reason we do this now, is so that the resetting
    ' of the controls will match the new data.
    For cNum = 0 To (gNumDigiCh - 1)
    
        ' Resets the data(), numPts, and sRate parameters for a
        ' digitize channel, resizes the data() array, and zeros it.
        DigitizeList_ResetDataArray (cNum)
                
    Next cNum
        
    ' Reset horiz scale to 0 left edge, 1scan per display width
    ' (and update the plotted pts-per-xunit params)
    Reset_Controls_AllBoxes (reset_hPosition_toZero + _
                             reset_hScale_toOneScanWideDisplays + _
                             reset_ptsPerHscale)
    
    ' Clear all DispBoxes and then redraw them with the new hScales.
    Call Redraw_AllBoxes
        
    ' close this dialog box
    Unload instruNet_Setup_Dialog

End Sub




Private Sub TriggerSetup_Button_Click()

    ' Open the instruNet World trigger dialog.
    Open_instruNet_Window_VB (iNetCM_OpenWindow_RecTrigger)

End Sub


