double GetChannelValue_iNet_Generic(short netNum, short deviceNum,
	short moduleNum, short chanNum, short *errP);				

short SetChannelValue_iNet_Generic(	
	short netNum, short deviceNum, short moduleNum, short chanNum, double newValue);

short PutEnabledChInDigitizeList_generic(
	double *sampleRateP, long *pointsPerScanP, long *numChToDigitizeP);
	
short ResetChannelList_Generic();

short AddToChannelList_Generic(
	short netNum, short deviceNum, short moduleNum, short chanNum,
	long *bufferP, long bufferSizeBytes);

short AddToChannelList_DB_Generic(
	short netNum, short deviceNum, short moduleNum, short chanNum, long bufferSizeBytes);

short Set_iNet_TIMING_Parameters_Generic(double samplesPerSecond, 
	long pointsPerScan, long numberOfScans, short stripChartRecorder, short saveDataOption,
	short showAlertOnOverflow, short switchAccurately);

short Set_iNet_TRIGGER_Parameters_Generic( short triggerMode,
	double triggerThreshold, short triggerSlope, double preTriggerSeconds,
	short netNum_trig, short deviceNum_trig, short moduleNum_trig, short chanNum_trig);

short DigitizeListOfChannels_Generic( short allowMouseDownToStopDigitize,
	short processOneScanAtATime, long *last_scanNum_base1_pulled_inFull_oneCtlr);

short Stop_iNet_Digitizing();

short Load_instruNet_Driver_Generic(
	short forceInstruNetReset, short *driverIsInstalledOK, short *numNetworks);	

short Show_ALERT_if_hit_iNet_Error_Generic(short e);

short Open_instruNet_Window_Generic(		
	short iNetWindowType, short *netNumP, short *deviceNumP, short *moduleNumP,
	short *chanNumP, short *settingGpP, short *fieldNumP, short *userPressedOkP);

short Open_instruNet_Window_Easy(short iNetWindowType);

short Get_instruNet_Network_State_Generic(
	short *arrayStart, long arraySizeBytes, long *numBytesOfDataP);

short Set_instruNet_Network_State_Generic(short  *arrayStart,	long dataSize);

short iNet_Generic(short netNum, short deviceNum, short moduleNum,
	short chanNum, short settingGroupNumOrType, short fieldNum, short intention,
	short argType, short *ptrToArg);

short iNet_rw_int16( short netNum, short deviceNum, short moduleNum,
	short chanNum, short settingGroupNumOrType, short fieldNum, short intention, short *ptrToArg);

short iNet_rw_int32( short netNum, short deviceNum, short moduleNum,
	short chanNum, short settingGroupNumOrType, short fieldNum, short intention, long *ptrToArg);

short iNet_rw_Double( short netNum, short deviceNum, short moduleNum,
	short chanNum, short settingGroupNumOrType, short fieldNum, short intention, double *ptrToArg);

short iNet_rw_cStr( short netNum, short deviceNum, short moduleNum,
	short chanNum, short settingGroupNumOrType, short fieldNum, short intention, char *ptrToArg);

void Flt32ToDouble_iNet_Generic(long srcAddr_flt32Array, 
	double *destAddr_doubleArray, long numPoints);

void Flt32ToDouble_iNet_Vee(long srcAddr_flt32Array,
	double *destAddr_doubleArray, long numPoints);

void DoubleToFlt32_iNet_Generic( long srcAddr_doubleArray,
	long *destAddr_flt32Array, long numPoints);
	
void  DoubleToFlt32_iNet_Vee( double *srcAddr_doubleArray,
	long destAddr_flt32Array, long numPoints);	

short GetDigitizedSegment_Generic(short digChNum, long *bufferStartAddrP,
	long *pointToPullindex_base1, long *numPointsToPull, long *scanNumberToPull_base1);

short GetDigitizedSegment_Vee(short digChNum,
	long *bufferStartAddrP, long *pointToPullindex_base1,
	long *numPointsToPull, long *scanNumberToPull_base1);

void iNet_SetStaticVar(short address, short value);

short iNet_GetStaticVar(short address);

short Show_ALERT_if_hit_iNet_Error_Generic(short e);

