VERSION 4.00
Begin VB.Form EndUser_Window 
   Appearance      =   0  'Flat
   BackColor       =   &H80000005&
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "instruNet Example #1"
   ClientHeight    =   4875
   ClientLeft      =   1215
   ClientTop       =   1590
   ClientWidth     =   7200
   BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
      Name            =   "MS Sans Serif"
      Size            =   8.25
      Charset         =   0
      Weight          =   700
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   ForeColor       =   &H80000008&
   Height          =   5280
   Left            =   1155
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   4875
   ScaleWidth      =   7200
   ShowInTaskbar   =   0   'False
   Top             =   1245
   Width           =   7320
   Begin VB.Timer DigitizeProcess 
      Left            =   6600
      Top             =   4320
   End
   Begin VB.CommandButton Exit_button 
      Caption         =   "Exit"
      Height          =   375
      Left            =   5400
      TabIndex        =   4
      Top             =   0
      Width           =   1815
   End
   Begin VB.CommandButton Help_button 
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      Caption         =   "Help"
      Height          =   375
      Left            =   3600
      TabIndex        =   3
      Top             =   0
      Width           =   1815
   End
   Begin VB.ListBox Notes 
      BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   4545
      Left            =   0
      TabIndex        =   2
      Top             =   360
      Width           =   7215
   End
   Begin VB.CommandButton Stop 
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      Caption         =   "Stop Digitizing"
      Height          =   375
      Left            =   1800
      TabIndex        =   1
      Top             =   0
      Width           =   1815
   End
   Begin VB.CommandButton Start 
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      Caption         =   "Start"
      Height          =   375
      Left            =   0
      TabIndex        =   0
      Top             =   0
      Width           =   1815
   End
End
Attribute VB_Name = "EndUser_Window"
Attribute VB_Creatable = False
Attribute VB_Exposed = False
' EndUser Exampe1.frm
'
'   This is a simple example showing how to work with instruNet
'   from Visual Basic.
'
' HISTORY  Copyright c 1995-97 GWI.  All rights reserved.
' 5/18/94 created - gsw
' 11/22/95 added code for Microsoft Windows - kag
' 2/15/96 did the Visual Basic version - sjm
' 8/11/98 updated - gsw


' FUNCTION   EndUser_Start_ExampleOne()
'
' PURPOSE    This routine is the main routine in this example program.
'            It exercises many of the instruNet features, and is
'            run when the start button is pressed.
'
' HISTORY    3/8/96  created Visual Basic version - sjm
'
Function EndUser_Start_ExampleOne() As Integer

    ' -------------------------------------------------------
    ' Tell the user what we are doing.
    
    MsgBox "We are now executing the Start function (in file 'EndUser Example1.frm').  This will read several instruNet voltages and digitize several channels.  We recommend that you step through this function, one line at a time."
    MsgBox "To learn more about programming instruNet in Visual Basic, please press the Help button in the Example1 window.  Please wait a moment after pressing OK."
         
    ' -------------------------------------------------------
    ' LOCAL VARIABLES
    
    Dim message As String
    Dim e As Integer
    Dim cNum, chExists As Integer
    Dim vinAddr As chAddr
    Dim voutAddr As chAddr
    Dim vinValue As Single
    Dim voutValue As Single

    ' -------------------------------------------------------
    ' INITIALIZE UTILITY CODE
    '
    ' Load instruNet Driver and Initialize VB interface utilities
    
    Call Initialize_instruNet_MAIN(EndUser_Window, wJumpIntoDemoModeIfNoDeviceExists)
    
    ' print a message saying that the driver loaded ok
    message = "We just loaded the instruNet driver successfully (good!)."
    EndUser_Window.Notes.AddItem message
    EndUser_Window.Notes.AddItem ""
    MsgBox message
   
    ' -------------------------------------------------------
    ' Load address of 'Ch1 Vin+' and 'Ch3 Vout' into 'vin' and 'vout' structs
    ' (this assumes a instruNet 100 is the 1st device on the net).
    
    ' Set Ch1 Vin+ = {1,1,1,1} = {netNum, deviceNum, moduleNum, chanNum}
    chExists = LoadChannelAddress(vinAddr, 1, 1, 1, 1)
    If chExists = False Then e = NotifyWeCannotLocateThisChannel(vinAddr)
    
    ' Set Ch3 Vout address= {1,1,1,3} = {netNum, deviceNum, moduleNum, chanNum}
    chExists = LoadChannelAddress(voutAddr, 1, 1, 1, 3)
    If chExists = False Then e = NotifyWeCannotLocateThisChannel(voutAddr)
    
    ' -------------------------------------------------------
    ' Read 'Ch1 Vin+' value.
                                    ' read Ch1 Vin+ value
    vinValue = GetField_flt32(vinAddr, sgt_General, fldNum_General_valueEU, e)
    If AlertOnError(e) Then EndProgram ("GetField_flt32() returned an error.")
    
                                    ' print this voltage
    EndUser_Window.Notes.AddItem "Ch1 Vin+ Input Voltage is = " + Str$(vinValue)

    ' -------------------------------------------------------
    ' Set 'Ch1 Vout' voltage.
    
    voutVoltage = 2                 ' set Ch3 Vout to 2.0Volts.
    e = SetField_flt32(voutAddr, sgt_General, fldNum_General_valueEU, voutVoltage)
    If AlertOnError(e) Then EndProgram ("SetField_flt32() returned an error.")
    
                                    ' print this voltage
    EndUser_Window.Notes.AddItem "We just set Ch3 Vout Output Voltage to " + Str$(voutVoltage)

    ' -------------------------------------------------------
    ' Open the iNet World Window.
    
    MsgBox "We are now going to tell the instruNet driver to open the Network page window."
    
                                    'open the iNet World window, Network Page
    Open_instruNet_Window_VB (iNetCM_OpenWindow_Network)

    ' -------------------------------------------------------
    ' Print the values of the first 5 channels in your network.
     
    e = Print_iNet_Channels(5)    'print the value of 5 channels
    If AlertOnError(e) Then EndProgram ("Print_iNet_Channels() returned an error.")
    
    ' -------------------------------------------------------
    ' Print the 1st 3 fields in the iNet network
     
    e = Print_iNet_Fields(3)      'Print the first 3 fields
    If AlertOnError(e) Then EndProgram ("Print_iNet_Fields() returned an error.")
     
    ' -------------------------------------------------------
    ' R/W specific fields.
    
    e = ReadWriteFields_iNet()    'r/w specific fields
    If AlertOnError(e) Then EndProgram ("ReadWriteFields_iNet() returned an error.")

    ' -------------------------------------------------------
    ' Digitize 3 instruNet channels and analyze the incoming data in
    ' realtime.
 
                            ' tell user what we are going to do
    MsgBox "We are now going to digitize from 3 channels."

    ' -------------------------------------------------------
    ' INITIALIZE DIGITIZING PARAMETERS

    gNumScans = 1                           ' # of scans to digitize
    
    gPtsPerScan_nextDigi = 1000             ' points per scan per channel
    
    gSampleRate_nextDigi = 1000             ' sample rate per channel (pts/sec)
    
    gContinuousScans = False                ' if true, we run with scans that are continous
                                            ' in time; otherwise, we retrigger for each
    
    gProcessSegmentsInsteadOfScans = True   ' if false, we process a scan when it has finished
                                            ' digitizing; otherwise, we process little segments
                                            ' as they are recorded.
    
    gRun_EndUser_PostAcqAnalysis = False    ' if true, then run EndUser_PostAcqAnalysis()
                                            ' at the end of the digitization.  This is an
                                            ' end user routine that processes the resulting data
                                            
    gRun_EndUser_SegmentProcessor = False   ' if true, then run EndUser_SegmentProcessor()
                                            ' while data is being digitized.  This is an end
                                            ' user routine that processes little segments of data.
     
    gCopyChannelsFromNetworkPage = False    ' true if we are to copy the Enabled channels
                                            ' in the Network page to rebuild the Digitize
                                            ' list, after the user closed the Network Window.
    
    gWaitTillDigitizationCompletes = True   ' If true, then DigitizeProcess_Start() waits for
                                            ' the entire digitization to complete; otherwise,
                                            ' the Timer control triggers the servicing of the
                                            ' digitize buffers, every 200ms or so, while digitizing.
                                            
                                            ' Set the timing parameters
    Call DigitizeProcess_SetTimingParams(gPtsPerScan_nextDigi, gNumScans, _
            gSampleRate_nextDigi, gContinuousScans, gProcessSegmentsInsteadOfScans, _
            gRun_EndUser_PostAcqAnalysis, gRun_EndUser_SegmentProcessor, _
            gCopyChannelsFromNetworkPage, gWaitTillDigitizationCompletes)
    
    ' Declares no digitize "StartStopButton" button and "DigitizeProcess" Timer.
    ' The Timer is a control that sits on the front panel, is named "DigitizeProcess",
    ' and this generates interrupts while we digitize, and tells vb to process the
    ' data while it is coming in.
    Call DigitizeProcess_SetControlItems(Nothing, DigitizeProcess)
        
    ' -------------------------------------------------------
    ' DEFINE DIGITIZE CHANNELS
    '
    ' Specify channels to be digitized (i.e. Ch1/4/7 Vin+).
        
    ' Add Ch1 Vin+ to List of channels to digitize.  This will be digiChan #0.
    ' We set massageType to {jNoMassage, jFFTMassage} to specify that the
    ' digitized data is to be received as a timewave or fft wave.
    
    If DigitizeList_AddOneItem(1, 1, 1, 1, jNoMassage, False) = False Then EndProgram ("a")
    If DigitizeList_AddOneItem(1, 1, 1, 4, jNoMassage, False) = False Then EndProgram ("b")
    If DigitizeList_AddOneItem(1, 1, 1, 7, jNoMassage, False) = False Then EndProgram ("c")
                            
    ' -------------------------------------------------------
    ' TELL IT TO RUN
                
    ' tell instruNet to start digitizing
    Call DigitizeProcess_Start
            
    MsgBox "We digitized beautifully, and are now done!"
    
    ' -------------------------------------------------------
    ' Analyze resulting digitized data and print results to front panel.
        
    EndUser_Window.Notes.AddItem ""
    EndUser_Window.Notes.AddItem "Digitize Results:"
    
    For cNum = 0 To gNumDigiCh - 1          ' scan through all digitize channels
     
        With gDigiChan(cNum)                ' w/ this channel...
       
            Dim last_ptNum, ptNum As Long
            Dim sampleRate, sum, avg As Double
            last_ptNum = .dataArrayY.numValidPts - 1
            sampleRate = .dataArrayY.ptsPerXunit - 1
            
            ' calculate the average value of this channel
            sum = 0
            For ptNum = 0 To last_ptNum
                sum = sum + .dataArrayY.data(ptNum)
            Next ptNum
            avg = sum / .dataArrayY.numValidPts
            
            ' create a line of info to print to the window
            message = "Digitize Channel #" + Str(cNum) + ": " + _
                Str(.dataArrayY.numValidPts) + " points, " + _
                Str(.dataArrayY.ptsPerXunit) + " sample rate, " + _
                Str(avg) + " average value "

            ' print this line to the window
            EndUser_Window.Notes.AddItem message
      
        End With
        
    Next cNum
    
    ' -------------------------------------------------------
    ' Exercise the macros.  Please see the Macro file (i.e. "INET_Macros.Bas")
    ' for documentation on each marcro.
    
                                ' make this a 1 if you want to exercise
                                ' many instruNet macro functions
    ExerciseTheInsruNetMacros = False
    
    If ExerciseTheInsruNetMacros Then
    
        EndUser_Window.Notes.AddItem "We will now exercise the Macros"
        e = Exercise_The_iNet_Macros() 'exercise the macros
        If AlertOnError(e) Then EndProgram ("Exercise_The_iNet_Macros() returned an error.")
    
    End If

    ' -------------------------------------------------------
    ' End of Start Button Subroutine.
    
    MsgBox "We finished processing the tasks in the START function (very good!!!)."
    
    iNetExample_One = e
    
End Function


'-------------------------------------------------------------------------------------
' FUNCTION   Exercise_The_iNet_Macros()
'
' PURPOSE    Exercises the macros defined in the adjacent iNet macro file.  Please
'            see the macro file for documentation on these macros.
'
' HISTORY    2/4/96  created - gsw
'            2/20/96  created Visual Basic version - sjm
'
Function Exercise_The_iNet_Macros()

    netNum = 1
    deviceNum = 1
    moduleNum = 1
    chanNum = 1
    settingGroupNum = 1
    fieldNum = 1
    buffer$ = String(255, 0)

' ======================== Open iNet World Window (MACROS) =========================

    e = OPEN_iNet_WINDOW(iNetCM_OpenWindow_Network)

    e = OPEN_iNet_WINDOW(iNetCM_OpenWindow_Record)

    e = OPEN_iNet_WINDOW(iNetCM_OpenWindow_Test)
 
' ============================ Press iNet Button (MACROS) =========================

    e = PRESS_iNet_BUTTON(iNetCM_BtnPress_Record_Start)
 
    e = PRESS_iNet_BUTTON(iNetCM_BtnPress_Record_Stop)
 
    e = PRESS_iNet_BUTTON(iNetCM_BtnPress_Record_Save)

    e = PRESS_iNet_BUTTON(iNetCM_BtnPress_Record_Open)
 
    e = PRESS_iNet_BUTTON(iNetCM_BtnPress_Record_Options)
 
    e = PRESS_iNet_BUTTON(iNetCM_BtnPress_Record_Timing)
 
    e = PRESS_iNet_BUTTON(iNetCM_BtnPress_Record_Trigger)
 
    e = PRESS_iNet_BUTTON(iNetCM_BtnPress_Record_Probe)
 
    e = PRESS_iNet_BUTTON(iNetCM_BtnPress_Network_Store)

    e = PRESS_iNet_BUTTON(iNetCM_BtnPress_Network_Restore)
 
    e = PRESS_iNet_BUTTON(iNetCM_BtnPress_Network_Save)

    e = PRESS_iNet_BUTTON(iNetCM_BtnPress_Network_Open)
 
    e = PRESS_iNet_BUTTON(iNetCM_BtnPress_Network_Clear)
 
    e = PRESS_iNet_BUTTON(iNetCM_BtnPress_Network_Reset)
 
    e = PRESS_iNet_BUTTON(iNetCM_BtnPress_Test_Search)

    e = PRESS_iNet_BUTTON(iNetCM_BtnPress_Test_Test)

    e = PRESS_iNet_BUTTON(iNetCM_BtnPress_Test_BigTest)
 
    e = PRESS_iNet_BUTTON(iNetCM_BtnPress_Test_SaveAs)

    e = PRESS_iNet_BUTTON(iNetCM_BtnPress_Test_Open)

    e = PRESS_iNet_BUTTON(iNetCM_BtnPress_Test_Clear)
 

' ============================= ERROR CONTROL (MACROS) =============================

    showAlertWas_ON_BeforeThisCall = DONT_SHOW_MESSAGE_DIALOG_UPON_ERROR()
 
    showAlertWas_ON_BeforeThisCall = SHOW_MESSAGE_DIALOG_UPON_ERROR()

    showAlertStatus = GET_SHOW_MESSAGE_UPON_ERROR_STATUS()
 

' ========================= INTERROGATE NETWORK MACROS ===============================

    int32Value& = GET_NUMBER_OF_NETWORKS()

    int32Value& = GET_NUMBER_OF_DEVICES(netNum)

    int32Value& = GET_NUMBER_OF_MODULES(netNum, deviceNum)
          
    int32Value& = GET_NUMBER_OF_CHANNELS(netNum, deviceNum, moduleNum)
 
    int32Value& = GET_NUMBER_OF_SETTINGS(netNum, deviceNum, moduleNum, chanNum)

    int32Value& = GET_NUMBER_OF_FIELDS(netNum, deviceNum, moduleNum, chanNum, settingGroupNum)


' =================== DETERMINE IF NETWORK ELEMENT EXISTS (MACROS) =====================

    thisExists = THIS_NETWORK_EXISTS(netNum)

    thisExists = THIS_DEVICE_EXISTS(netNum, deviceNum)

    thisExists = THIS_MODULE_EXISTS(netNum, deviceNum, moduleNum)
 
    thisExists = THIS_CHANNEL_EXISTS(netNum, deviceNum, moduleNum, chanNum)

    thisExists = THIS_SETTING_EXISTS(netNum, deviceNum, moduleNum, chanNum, settingGroupNum)

    thisExists = THIS_FIELD_EXISTS(netNum, deviceNum, moduleNum, chanNum, settingGroupNum, fieldNum)


' ============== Turn Channels on and off for digitizing (MACROS) ============

    e = ENABLE_CHANNEL_DIGITIZATION(netNum, deviceNum, moduleNum, chanNum)
 
    e = DISABLE_CHANNEL_DIGITIZATION(netNum, deviceNum, moduleNum, chanNum)
 
 
' ========================== TIMING (MACROS) =================================

    flt32Value = GET_SAMPLE_RATE_IN_HZ(netNum)
 
    flt32Value = 100  'flt32value * 0.5
 
    e = SET_SAMPLE_RATE_IN_HZ(netNum, flt32Value)

    int32Value& = GET_POINTS_PER_SCAN(netNum)
 
    int32Value& = int32Value& * 0.5

    e = SET_POINTS_PER_SCAN(netNum, int32Value&)
 
    int32Value& = GET_NUMBER_OF_SCANS(netNum)
 
    int32Value& = int32Value& * 0.5

    e = SET_NUMBER_OF_SCANS(netNum, int32Value&)

    int32Value& = GET_SCAN_MODE(netNum)
 
    e = SET_SCAN_MODE(netNum, int32Value&)
  
    int32Value7 = GET_NETWORK_BPS(netNum)
 
    e = SET_NETWORK_BPS(netNum, int32Value&)
 
    int32Value& = CONTROLLER_IS_DIGITIZING(netNum)
 
    e = SET_SAVE_DATA(ion_gSaveDataPopup_ToRamBuffer)
 
    e = SET_OVERFLOW_ALERT(ion_gOnOffPopup_Off)
 

' ===================================== TRIGGER (MACROS) ==================================

    e = SET_TRIGGER_MODE(netNum, ion_TriggerMode_Off)
 
    e = SET_TRIGGER_THRESHOLD(netNum, 1)

    e = SET_TRIGGER_SLOPE(netNum, ion_Rising)
 
    netnumlong& = netNum

    e = SET_TRIGGER_SOURCE(netNum, fldNum_Trigger_srcNet, netNum)
    e = SET_TRIGGER_SOURCE(netNum, fldNum_Trigger_srcModule, moduleNum)
    e = SET_TRIGGER_SOURCE(netNum, fldNum_Trigger_srcDevice, deviceNum)
    e = SET_TRIGGER_SOURCE(netNum, fldNum_Trigger_srcChannel, chanNum)
 
   
' ========================== USER INTERFACE (MACROS) ============================

    int32Value& = GET_USER_INTERFACE_TYPE(netNum, deviceNum, moduleNum, chanNum, settingGroupNum, fieldNum)
 
    int32Value& = GET_USER_INTERFACE_CATAGORY(netNum, deviceNum, moduleNum, chanNum, settingGroupNum, fieldNum)
 
    int32Value& = GET_NATIVE_STORAGE_TYPE(netNum, deviceNum, moduleNum, chanNum, settingGroupNum, fieldNum)
                                               
    int32Value& = GET_NUMBER_OF_POPUP_ITEMS(netNum, deviceNum_CONTROLLER, moduleNum_1stModule, controller_ChanNum_C12_Digitizer, sgt_Timing, fldNum_Timing_scanMode)

    ptrToStringArray& = GET_PTR_TO_POPUP_ITEMS(netNum, deviceNum_CONTROLLER, moduleNum_1stModule, controller_ChanNum_C12_Digitizer, sgt_Timing, fldNum_Timing_scanMode)
'
' view Str15 C string array ptrToStringArray[0],  ptrToStringArray[1], etc in debugger
 
    ptrToStringArray& = GET_PTR_TO_ADDRESS_NAMES(netNum, deviceNum_CONTROLLER, moduleNum_1stModule, controller_ChanNum_C12_Digitizer, sgt_Timing, fldNum_Timing_scanMode)
  
' view Str15 C string array ptrToStringArray[0],  ptrToStringArray[1], etc in debugger


' ====================== GET and SET CHANNEL VALUES (MACROS) ======================
 
    flt32Value = GET_CHANNEL_VALUE_FLT32(netNum, deviceNum, moduleNum, chanNum)
                                               
    int32Value& = GET_CHANNEL_VALUE_INT32(netNum, deviceNum, moduleNum, chanNum)

    e = GET_CHANNEL_VALUE_C_STR255(netNum, deviceNum, moduleNum, chanNum, cString$)

    e = SET_CHANNEL_VALUE_FLT32(netNum_DRIVER, deviceNum_CONTROLLER, moduleNum_1stModule, driver_ChanNum_RecordOptions, flt32Value)

    e = SET_CHANNEL_VALUE_INT32(netNum_DRIVER, deviceNum_CONTROLLER, moduleNum_1stModule, driver_ChanNum_RecordOptions, int32Value&)

    e = SET_CHANNEL_VALUE_C_STR255(netNum_DRIVER, deviceNum_CONTROLLER, moduleNum_1stModule, driver_ChanNum_RecordOptions, cString$)

' ===================== GET and SET NETWORK SETTINGS (MACROS) ===============
    
' For an (easier) way to save/load network settings, please see
' DoFileSaveOperation() and DoFileSaveOperation() in file
' FileSaveLoadDialog.frm.

    e = iNet_VB_cString(0, 0, 1, 1, 1, 1, intention_getHandleToNetworkState, networkState_Handle$)

    EndUser_Window.Notes.AddItem networkState_Handle$

    e = iNet_VB_cString(0, 0, 1, 1, 1, 1, intention_setNetworkStateWithHandle, networkState_Handle$)
    
' to dispose of a handle you need to have the dll "krnl386.exe" in your
' system folder and declare the function call GlobalFree as described in
' the vb_intc.bas file

    'e = DISPOSE_OF_HANDLE(networkState_Handle&)
  
' ========================== DRIVER MANAGEMENT (MACROS) ===========================

    int32Value& = DRIVER_IS_INSTALLED()

    flt32Value = SECONDS_SINCE_RESET(netNum)

' ========================== SHOW PROBE DIALOG (MACROS) ===========================

    ' use Open_instruNet_Window_VB() to show windows
    
End Function



' FUNCTION   Print_iNet_Channels()
'
' PURPOSE    This routine prints the value of 'maxNumberOffChannelsToPrint'
'            number of channels in your iNet network.(we print out the 1st
'            ones that we find).
'
' PARAMETERS maxNumberOffChannelsToPrint   this is the maximum  of channels to print
'
' HISTORY    2/20/96  created Visual Basic version - sjm
Function Print_iNet_Channels(ByVal maxNumberOffChannelsToPrint)

    Dim deviceNum, chanNum, netNum, moduleNum As Byte
    Dim numberOfModules, numberOfDevices, numberOfChannels, numberOfNetworks As Integer
    Dim message As String

    ' print title
    EndUser_Window.Notes.AddItem ""
    EndUser_Window.Notes.AddItem "Channel Values:"
    e = iNetErr_None

    ' get  of iNet Networks in this Computer
    numberOfNetworks = GET_NUMBER_OF_NETWORKS()

    ' scan through all Networks
    For netNum = 1 To numberOfNetworks

        ' get  of Devices on this Network
        numberOfDevices = GET_NUMBER_OF_DEVICES(netNum)

        ' scan through all Devices
        For deviceNum = 1 To numberOfDevices

            ' get  of Modules in this Device
            numberOfModules = GET_NUMBER_OF_MODULES(netNum, deviceNum)
            
            ' scan through all Modules
            For moduleNum = 1 To numberOfModules

                ' get  of Channels in this Module
                numberOfChannels = GET_NUMBER_OF_CHANNELS(netNum, moduleNum, deviceNum)
                
                ' scan through Channels
                For chanNum = 1 To numberOfChannels

                    ' print the value field in the
                    ' GENERAL Settings area, which is
                    ' the value of the channel.
                    e = PrintOneField_iNet(netNum, deviceNum, moduleNum, chanNum, sgt_General, fldNum_General_valueEU, message)
                    
                    ' if we have printed enough channels...
                    maxNumberOffChannelsToPrint = maxNumberOffChannelsToPrint - 1
                    If maxNumberOffChannelsToPrint <= 0 Then GoTo ExitFunction

                Next chanNum

            Next moduleNum

        Next deviceNum

    Next netNum

ExitFunction:
    
    Print_iNet_ChannelsExit = e

End Function


' Process incoming digitized data, after the digitization stops.
Public Sub EndUser_PostAcqAnalysis()
                          
    ' Please see EndUser_PostAcqAnalysis() in file EndUser_Scope.frm
    ' for an example of how to do this.
                          
End Sub


' Save or Load end user data when the user presses the Save or Load buttons.
'
Public Sub EndUser_SaveLoadResults( _
    ByRef sPathName As String, _
    ByVal saveOrLoad As Integer)
       
    ' Please see EndUser_SaveLoadResults() in file EndUser_Scope.frm
    ' for an example of how to do this.
    
End Sub



' Process incoming digitized data, while it is being digitized.  This
' is called for each segment of data is pulled from each channel.
'
'   cNum: Digitize Channel number {0..numChannels-1} (from DigitizeList)
'   segmentStart_ptNum: first ptNum {0..numValidPts} for the recently digitized segment
'   segmentEnd_ptNum: last ptNum {0..numValidPts} for the recently digitized segment
'   scanNumberToPull_base1: scan number, base 1, of the recently digitized segment
'
Public Sub EndUser_SegmentProcessor( _
    ByVal cNum As Integer, _
    ByVal segmentStart_ptNum As Long, _
    ByVal segmentEnd_ptNum As Long, _
    ByVal scanNumberToPull_base1 As Long)
    
    ' Please see EndUser_SegmentProcessor() in file EndUser_Scope.frm
    ' for an example of how to do this.
    
End Sub


' FUNCTION   Print_iNet_Fields()
'
' PURPOSE    This routine prints the value of 'maxNumberOffFieldsToPrint'
'            number of fields in your iNet network (we print out the 1st
'            ones that we find).
'
' PARAMETERS maxNumberOffFieldsToPrint   this is the maximum  of fields to print
'
' HISTORY    2/20/96  created Visual Basic version - sjm
'
Function Print_iNet_Fields(ByVal maxNumberOffFieldsToPrint)

    Dim numberOfDevices, deviceNum, numberOfChannels, chanNum, numberOfFields, fieldNum, numberOfNetworks, netNum As Integer
    Dim moduleNum, numberOfModules, numberOfSettings, settingNum As Integer
    Dim message As String
    e = iNetErr_None

    ' print title
    EndUser_Window.Notes.AddItem ""
    EndUser_Window.Notes.AddItem "Field Values:"

    ' get  of iNet Networks in this Computer
    numberOfNetworks = GET_NUMBER_OF_NETWORKS()
    e = Get_iNet_Error()
    If ErrorHere(e, "GET_NUMBER_OF_NETWORKS()") Then GoTo ExitFunction

    'scan through all Networks
    For netNum = 1 To numberOfNetworks
        numberOfDevices = GET_NUMBER_OF_DEVICES(netNum)
        e = Get_iNet_Error()
        If ErrorHere(e, "GET_NUMBER_OF_DEVICES()") Then GoTo ExitFunction

        'scan through all devices
        For deviceNum = 1 To numberOfDevices
            numberOfModules = GET_NUMBER_OF_MODULES(netNum, deviceNum)
            e = Get_iNet_Error()
            If ErrorHere(e, "GET_NUMBER_OF_MODULES()") Then GoTo ExitFunction

            'scan through all modules
            For moduleNum = 1 To numberOfModules
                numberOfChannels = GET_NUMBER_OF_CHANNELS(netNum, moduleNum, deviceNum)
                e = Get_iNet_Error()
                If ErrorHere(e, "GET_NUMBER_OF_CHANNELS()") Then GoTo ExitFunction

                'scan through Channels
                For chanNum = 1 To numberOfChannels
                    numberOfSettings = GET_NUMBER_OF_SETTINGS(netNum, moduleNum, deviceNum, chanNum)
                    e = Get_iNet_Error()
                    If ErrorHere(e, "GET_NUMBER_OF_SETTINGS()") Then GoTo ExitFunction

                    'scan through settings groups
                    For settingNum = 1 To numberOfSettings
                        numberOfFields = GET_NUMBER_OF_FIELDS(netNum, moduleNum, deviceNum, chanNum, settingNum)
                        e = Get_iNet_Error()
                        If ErrorHere(e, "GET_NUMBER_OF_FIELDS()") Then GoTo ExitFunction

                        'scan through each Field
                        For fieldNum = 1 To numberOfFields
                            e = PrintOneField_iNet(netNum, deviceNum, moduleNum, chanNum, settingNum, fieldNum, message)
                            maxNumberOffFieldsToPrint = maxNumberOffFieldsToPrint - 1
                            If (maxNumberOffFieldsToPrint) <= 0 Then GoTo ExitFunction

                        Next fieldNum
                    Next settingNum
                Next chanNum
            Next moduleNum
        Next deviceNum
    Next netNum

ExitFunction:
    
    Print_iNet_Fields = e

End Function

' FUNCTION    PrintOneField_iNet()
'
' PURPOSE     This routine prints out 1 line of information on the specified field.
'
' PARAMETERS
'
'   netNum         NETWORK number = {0...numNetworks}, 0 is Driver, 1 is 1st Controller
'   deviceNum      DEVICE number {0...numDevices}, 0 = "Controller", 1 is 1st device
'   moduleNum      MODULE number within a hardware DEVICE {1...32}.
'   chanNum        CHANNEL number {1...32}.
'   settingGroupNumOrType
'                  SETTING Group number {1... numSettingsGroupsInChannel}
'   fieldNum       FIELD number {1...32}.
'   message        we fill this string with info
'
' HISTORY     2/20/96  created Visual Basic version - sjm
'
Function PrintOneField_iNet(ByVal netNum As Byte, ByVal deviceNum As Byte, ByVal moduleNum As Byte, ByVal chanNum As Byte, ByVal settingGroupNumOrType, ByVal fieldNum, message As String)

    Dim e As Integer
    Dim fieldNameStr As String
    Dim fieldValueStr As String
 
    ' get the field name
    e = iNet_VB_cString(netNum, deviceNum, moduleNum, chanNum, settingGroupNumOrType, fieldNum, intention_getNameStr, fieldNameStr)
    If ErrorHere(e, "iNet_VB_cString(fieldName)") Then GoTo ExitFunction
    
    ' get the field value
    e = iNet_VB_cString(netNum, deviceNum, moduleNum, chanNum, settingGroupNumOrType, fieldNum, intention_getValue, fieldValueStr)
    If ErrorHere(e, "iNet_VB_cString(fieldName)") Then GoTo ExitFunction

    ' create string that describes the channel
    message = "(" + Str$(netNum) + "," + Str$(deviceNum) + "," + Str$(moduleNum) + "," + Str$(chanNum) + ") = " + fieldNameStr + " = " + fieldValueStr

    ' print info about field
    EndUser_Window.Notes.AddItem message

ExitFunction:

    PrintOneField_iNet = e

End Function
' FUNCTION   ReadWriteFields_iNet()
'
' PURPOSE    This routine reads and writes iNet hardware fields.
'
' HISTORY    2/20/96  created Visual Basic version - sjm
'
Function ReadWriteFields_iNet()

 Dim s, valueStr As String
 Dim usersFieldStr As String
 Dim message As String
 Dim deviceNum, chanNum, fieldNum, netNum, moduleNum, settingNum As Integer
 Dim e As Integer
 Dim addr(6) As Integer

 EndUser_Window.Notes.AddItem ""
 EndUser_Window.Notes.AddItem "Read and write fields:"

'----------------------------------------------------------------------------
' Get device , channel , and field  from user.

LookAtAField:
                               ' prompt user
    usersFieldStr = InputBox("Input netNum, devNum, modNum, chanNum, setNum, fieldNum (e.g. 1,1,1,1,1,1) ? ")
    If (usersFieldStr = "") Then
       Exit Function
    End If
                              
'-----------------------------------------------------------------------
' Pick out 6 numbers from user's string.

   For x = 0 To 5             ' interpret user's string
                              ' get value of user's input
      addr(x) = Val(usersFieldStr)
                              ' make sure the number is within range
      If x >= 2 Then minValue = 1 Else minValue = 0
      If (addr(x) < minValue Or addr(x) > 20) Then
          MsgBox "Since you did not enter a valid address, we're going to proceed with the next exercise."
          Exit Function
      End If
                              ' find position of comma
      commaPosition = InStr(1, usersFieldStr, ",", 1)
                              ' truncate up to next comma
      usersFieldStr = Mid(usersFieldStr, commaPosition + 1)
    Next x

'-----------------------------------------------------------------------
' Print one field on one line.
 
PrintTheField:

    ' print the value of this field
    e = PrintOneField_iNet(addr(0), addr(1), addr(2), addr(3), addr(4), addr(5), message)
    s = InputBox("Do you want to Modify this field's value, Look at another field, or Exit (M, L, E)?  ")
 
    Select Case s

        Case "M", "m"
           valu$ = InputBox("What is the new value ?")

           ' set this field to the new value, which is in the form of a C string
           e = iNet_VB_cString(addr(1), deviceNum, moduleNum, chanNum, _
                settingNum, fieldNum, intention_setValue, valu$)
           If ErrorHere(e, "ReadWriteFields_iNet()") Then GoTo ExitFunction
   
           GoTo PrintTheField

        Case "L", "l"
           GoTo LookAtAField

        Case "E", "e"
            ReadWriteFields_iNet = iNetTrue
    
        Case Else
            ReadWriteFields_iNet = iNetTrue
    
    End Select

ExitFunction:

    ReadWriteFields_iNet = 0

End Function




Private Sub DigitizeProcess_Timer()

    ' respond to the periodic interrupt coming
    ' from the front panel timer control, which
    ' tells vb to services the digitize buffers.
    Call METHOD_DigitizeProcess_Timer

End Sub

Private Sub Exit_button_Click()
    
    ' Run EndUser_Window.unload() method and close the window.
    Unload EndUser_Window

    ' End the entire program
    End


End Sub

Private Sub Form_Load()

   MsgBox "Press the start button to exercise instruNet."
   
End Sub


Private Sub Form_Unload(Cancel As Integer)

    ' end the program and unload the
    ' instruNet driver.
    EndProgram ("")

End Sub


Private Sub Help_button_Click()

    ' Show the instruNet help text, which is stored in file
    ' "..\Microsoft Visual BASIC\Working with Visual BASIC.txt".
    
    Call TextWindow.OpenTextWindow( _
      "c:\Program files\instruNet\Microsoft Visual BASIC\Working with Visual BASIC.txt", _
      "VB Help", False)
        
End Sub

' FUNCTION   Start_Click()
'
' PURPOSE    This routine is the main routine in this example program.
'            It exercises many of the instruNet features, and is
'            run when the start button is pressed.
'
' HISTORY    2/20/96  created Visual Basic version - sjm
'
Sub Start_Click()
 
    ' Run the example code
    EndUser_Start_ExampleOne

End Sub

' Respond to the stop button, and stop the digitizing
'
Private Sub Stop_Click()

    ' tell instruNet to stop digitizing
    Call DigitizeProcess_Stop

End Sub
